<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

/* Route::middleware('auth:api')->get('/user', function (Request $request) {
     return $request->user();
 });*/




//API ALL Route 
   // user reg

Route::get('/dealership_stock_check', 'api\ProfileController@dealership_stock_check');
Route::get('/vendor_roi', 'api\ProfileController@Weekly_roi');
Route::get('/monthly_income', 'api\ProfileController@monthly_income');
Route::get('/income_to_earning_leader_ship', 'api\ProfileController@income_to_earning_leader_ship');

Route::post('/apps_user_login_info', 'api\registrationController@user_login_info');

Route::post('/apps_registration', 'api\registrationController@apps_registration');

Route::post('/apps_username_chack', 'api\registrationController@apps_username_chack');

Route::post('/apps_Joining_code_chack', 'api\registrationController@apps_Joining_code_chack');

Route::post('/apps_sponser_u_id_chack', 'api\registrationController@apps_sponser_u_id_chack');

Route::post('/apps_placement_u_id_chack', 'api\registrationController@apps_placement_u_id_chack');

Route::post('/apps_error_selected_n_chack', 'api\registrationController@apps_error_selected_n_chack');

Route::post('/email_chack', 'api\registrationController@email_chack');


   // user  Income History
Route::post('/app_income_history', 'api\ReportController@app_income_history');
Route::post('/app_transction_history', 'api\ReportController@app_transction_history');

   // user  Profile
Route::post('/apps_version', 'api\ProfileController@apps_version');
Route::post('/app_profile_wiew', 'api\ProfileController@app_profile_wiew');
Route::post('/app_profile_update', 'api\ProfileController@app_profile_update');
Route::post('/app_image_update', 'api\ProfileController@app_image_update');

// change-password
Route::post('app_change_password', 'api\ChangePasswordController@app_change_password')->name('app_change_password');

// user  balance
Route::post('/app_process_blance_submit', 'api\BalanceController@app_process_blance_submit')->name('app_process_blance_submit');



/*Binary Tree Form */
Route::post('/app_user_tree', 'api\usertreeController@user_tree')->name('app_user_tree');
Route::post('/app_user_tree_search', 'api\usertreeController@user_tree_search')->name('app_user_tree_search');
// live chack Tree
Route::post('/app_user_tree_chack', 'api\usertreeController@user_tree_chack')->name('app_user_tree_chack');



// homepages data
Route::post('/app_homepages_data', 'api\homepagesController@app_homepages_data')->name('app_homepages_data');

//Business Center
Route::post('/app_business_center', 'api\BusinessCenterController@app_business_center')->name('app_business_center');

// placement_list 
Route::post('/app_placement_list', 'api\placement_listController@app_placement_list')->name('app_placement_list');

// app_sponsor_list 
Route::post('/app_sponsor_list', 'api\sponsor_listController@app_sponsor_list')->name('app_sponsor_list');

// app_dailytask 
Route::post('/app_dailytask', 'api\dailytaskController@app_dailytask')->name('app_dailytask');
Route::post('/app_daily_task_sub', 'api\dailytaskController@app_daily_task_sub')->name('app_daily_task_sub');

// Transfer Balance 
Route::post('/app_transfer_balance_history', 'api\TransferBalanceController@app_transfer_balance')->name('app_transfer_balance');
Route::post('/app_transfer_balance_sub', 'api\TransferBalanceController@app_transfer_balance_sub')->name('app_transfer_balance_sub');

// withdraw Balance 
Route::post('/app_withdraw_balance_history', 'api\withdraw_Controller@app_withdraw_balance_history')->name('app_withdraw_balance_history');
Route::post('/app_withdraw_balance_sub', 'api\withdraw_Controller@app_withdraw_balance_sub')->name('app_withdraw_balance_sub');

//Shop_balance_Transfer
Route::post('/app_Shop_balance_transfer_sub', 'api\TransferBalanceController@app_Shop_balance_transfer_sub')->name('app_Shop_balance_transfer_sub');
Route::post('/app_Shop_balance_transfer_his', 'api\TransferBalanceController@app_Shop_balance_transfer_his')->name('app_Shop_balance_transfer_his');

// Transaction PIN 
Route::post('/app_transaction_pin', 'api\transction_pinController@app_transaction_pin')->name('app_transaction_pin');

// app_withdraw_method 
Route::post('/app_withdraw_method', 'api\withdraw_Controller@app_withdraw_method')->name('app_withdraw_method');
Route::post('/app_withdraw_method_sub', 'api\withdraw_Controller@app_withdraw_method_sub')->name('app_withdraw_method_sub');


//Shop_balance_withdraw
Route::post('/app_Shop_balance_withdraw', 'api\withdraw_Controller@app_Shop_balance_withdraw')->name('app_Shop_balance_withdraw');
Route::post('/app_agent_withdraw_balance_sub', 'api\withdraw_Controller@app_agent_withdraw_balance_sub')->name('app_agent_withdraw_balance_sub');
Route::post('/app_Shop_balance_withdraw_his', 'api\withdraw_Controller@app_Shop_balance_withdraw_his')->name('app_Shop_balance_withdraw_his');
//forgot_password_sec
Route::post('app_forgot_password_sec', 'api\UsernameForgetController@app_forgot_password_sec')->name('app_forgot_password_sec');


